Subject: [bitcoin-dev] Currency/exchange rate information API

From: Luke Dashjr <[email-masked]>
Date: Sat, 4 Mar 2017 08:27:32 +0000

Investigating what it would take to add fiat currency information to Bitcoin 
Knots, I noticed Electrum currently has many implementations, one for each 
exchange rate provider, due to lack of a common format for such data.

Therefore, I put together an initial draft of a BIP that could standardise 
this so wallets (or other software) and exchange rate providers can simply 
interoperate without a lot of overhead reimplementing the same thing many 
ways.

One thing I am unsure about, is that currently this draft requires using XBT 
(as BTC) for Bitcoin amounts. It would seem nicer to use satoshis, but those 
don't really have a pseudo-ISO currency code to fit in nicely...

Current draft here:
    https://github.com/luke-jr/bips/blob/bip-xchgrate/bip-xchgrate.mediawiki

Thoughts? Anything critical missing? Ways to make the interface better?

Luke